Index: FAQ
===================================================================
--- FAQ.orig
+++ FAQ
@@ -52,6 +52,7 @@ Also tell me what version your kernel is
       analysis and capacity planning?
 2.21. The sar command displays some weird output values...
 2.22. What happened to sar's options -h, -H, -x and -X?
+2.23. What is the exact meaning of the <count> parameter for sar and sadc?
 
 3. QUESTIONS RELATING TO IOSTAT
 
@@ -166,6 +167,13 @@ remove by hand all the files located in
 
 # rm /var/log/sa/sa??
 
+With recent versions of sysstat (8.1.1 and later), it is now possible to
+know which version of sar or sadc has been used to create a data file.
+Just enter the following command:
+
+$ sadf -H /your/datafile | grep sysstat
+File created using sar/sadc from sysstat version 8.1.7
+
 ~~~
 
 2.2. The sar command complains with the following message:
@@ -322,6 +330,9 @@ Several such tools are lying around on t
 them and there must still be some way for improvement...
 You can find among others: isag (a Perl script included in the sysstat
 package), kSar, sarvant, sar2gp, loadgraph, SysStat Charts, sarplot...
+rrd.cgi (http://haroon.sis.utoronto.ca/rrd/scripts/) is a perl front-end for
+rrdtool and can be used to make some graphs (see a demo at
+http://haroon.sis.utoronto.ca/perl/rrd.cgi/sar_stats/).
 I've also heard of commercial tools which use sysstat: PerfMan comes to mind,
 among others.
 If you find others which you think are of real interest, please let me know
@@ -379,10 +390,12 @@ Requested activities not available in fi
 This error message means that you are trying to extract non-existent activities
 from the data file. Usually sadc reads all the available activities from the
 system and stores them in the data file. However, to prevent data files from
-taking too much space on disk, some activities (like interrupts or disks
-statistics) must be explicitly set on the command line to be read by sadc.
+taking too much space on disk, some activities must be explicitly set on the
+command line to be read by sadc.
 To tell sadc that an optional activity should be collected, use switch -S
 followed by the keyword corresponding to that activity (see sadc(8) manual page).
+As of this writing, optional activities are: interrupts, disks, SNMP, IPv6 and
+power management statistics.
 IMPORTANT NOTE: The list of activities that are saved in a file can no longer
 be modified once the file has been created. So it is important to use the proper
 options the first time sadc is called (whether via a crontab, a script like
@@ -390,7 +403,7 @@ sa1 or even the script used to insert a
 rebooted).
 NB: If the sar command complains with the error message:
 "Requested activities not available" (without mentioning "in file"),
-please see question 2.18 below.
+then see question 2.18 below.
 
 ~~~
 
@@ -497,6 +510,26 @@ made available. You should now use the s
 sar -H, and the pidstat command instead of sar -x or sar -X. Please read
 their manual page to learn some more about their respective options.
 
+~~
+
+2.23. What is the exact meaning of the <count> parameter for sar and sadc?
+
+For sadc, <count> is the number of data samples collected.
+For sar, <count> is the number of records to display (a record contains
+the average values for counters over the given time interval - See 2.16).
+
+Starting with an empty file <file>:
+
+sadc <file> 1 6 	will write 6 data samples to file.
+sar -f <file> 1 6 	6 is invalid because there are only 5 intervals.
+
+Based on the <count> value entered for sadc the "valid" <count> values for
+sar are 1 through 5. Any value greater than 5 for sar will give the
+same output as 5 in this example. So entering sar -f <file> 1 2000
+for a file populated with the output of sadc 1 6 <file> will give the
+same output as sar -f <file> 1 5. Note that it all depends on the number
+of data samples pre-existing in the data file. If the file is empty
+when first running sadc then the above is true.
 
 3. QUESTIONS RELATING TO IOSTAT
 ###############################
@@ -539,7 +572,7 @@ providing that the kernel has been compi
 ~~~
 
 3.3. Why can't iostat display extended statistics for partitions with
-     2.6.x kernels?
+     some 2.6.x kernels?
 
 Because the kernel maintains these stats only for devices, and not for
 partitions! Here is an excerpt from the document iostats.txt written by
@@ -552,6 +585,8 @@ the host disk happens much earlier.  All
 at the disk level rather than at both the disk and partition level as
 in 2.4.  Consequently, you'll see a different statistics output on 2.6 for
 partitions from that for disks."
+Extended I/O statistics for partitions are available again with kernels
+2.6.25 and later.
 
 ~~~
 
